BinaryLongExpressionHelper (Groovy 3.0.9)

Package org.codehaus.groovy.classgen.asm

## Class BinaryLongExpressionHelper

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.BinaryExpressionWriter
  - - org.codehaus.groovy.classgen.asm.BinaryLongExpressionHelper

- Direct Known Subclasses:
    `BinaryDoubleExpressionHelper`

      public class BinaryLongExpressionHelper
      extends BinaryExpressionWriter

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionWriter

      `stdCompareCodes`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinaryLongExpressionHelper​(WriterController controller)` |
    `BinaryLongExpressionHelper​(WriterController controller, MethodCaller arraySet, MethodCaller arrayGet)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doubleTwoOperands​(org.objectweb.asm.MethodVisitor mv)` |
    `protected int` | `getBitwiseOperationBytecode​(int type)` |
    `protected int` | `getCompareCode()` |
    `protected ClassNode` | `getDevisionOpResultType()` |
    `protected ClassNode` | `getNormalOpResultType()` |
    `protected int` | `getShiftOperationBytecode​(int type)` |
    `protected int` | `getStandardOperationBytecode​(int type)` |
    `protected void` | `removeTwoOperands​(org.objectweb.asm.MethodVisitor mv)` |
    `protected boolean` | `supportsDivision()` |
    `protected void` | `writeMinusMinus​(org.objectweb.asm.MethodVisitor mv)` |
    `protected void` | `writePlusPlus​(org.objectweb.asm.MethodVisitor mv)` |

    - ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionWriter

      `arrayGet, arraySet, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getController, setArraySetAndGet, write, writeBitwiseOp, writeDivision, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryLongExpressionHelper

          public BinaryLongExpressionHelper​(WriterController controller,
                                            MethodCaller arraySet,
                                            MethodCaller arrayGet)

      Since:
        2.5.0

    - #### BinaryLongExpressionHelper

          public BinaryLongExpressionHelper​(WriterController controller)

  - ### Method Detail

    - #### doubleTwoOperands

          protected void doubleTwoOperands​(org.objectweb.asm.MethodVisitor mv)

      Specified by:
        `doubleTwoOperands` in class `BinaryExpressionWriter`

    - #### removeTwoOperands

          protected void removeTwoOperands​(org.objectweb.asm.MethodVisitor mv)

      Specified by:
        `removeTwoOperands` in class `BinaryExpressionWriter`

    - #### getBitwiseOperationBytecode

          protected int getBitwiseOperationBytecode​(int type)

      Specified by:
        `getBitwiseOperationBytecode` in class `BinaryExpressionWriter`

    - #### getCompareCode

          protected int getCompareCode()

      Specified by:
        `getCompareCode` in class `BinaryExpressionWriter`

    - #### getNormalOpResultType

          protected ClassNode getNormalOpResultType()

      Specified by:
        `getNormalOpResultType` in class `BinaryExpressionWriter`

    - #### getShiftOperationBytecode

          protected int getShiftOperationBytecode​(int type)

      Specified by:
        `getShiftOperationBytecode` in class `BinaryExpressionWriter`

    - #### getStandardOperationBytecode

          protected int getStandardOperationBytecode​(int type)

      Specified by:
        `getStandardOperationBytecode` in class `BinaryExpressionWriter`

    - #### writeMinusMinus

          protected void writeMinusMinus​(org.objectweb.asm.MethodVisitor mv)

      Specified by:
        `writeMinusMinus` in class `BinaryExpressionWriter`

    - #### writePlusPlus

          protected void writePlusPlus​(org.objectweb.asm.MethodVisitor mv)

      Specified by:
        `writePlusPlus` in class `BinaryExpressionWriter`

    - #### getDevisionOpResultType

          protected ClassNode getDevisionOpResultType()

      Specified by:
        `getDevisionOpResultType` in class `BinaryExpressionWriter`

    - #### supportsDivision

          protected boolean supportsDivision()

      Overrides:
        `supportsDivision` in class `BinaryExpressionWriter`